<?php

namespace App\Service\Scraper;

use App\Entity\Chapter;
use App\Entity\ContentSource;

interface ScraperInterface
{
    public function scrapeChapter(Chapter $chapter, ContentSource $contentSource): array|bool;
    public function testScraping(string $mangaSlug, string $chapterNumber, ContentSource $contentSource): array;
    public function supports(string $scrapingType): bool;
}
